clone:
  git:
    image: woodpeckerci/plugin-git
    settings:
      partial: false

steps:
  - name: build
    image: journal
    environment:
      PARCEL_WORKER_BACKEND: process
    commands:
      - yarn install
      - yarn run build
      - rm -rf dist/atom.xml
      - find dist/ -name "*.map" -o -name "*.js" -o -name "*.ico" -o -name "*.css" -o -name "*.html" -o -name "*.svg" -o -name "*.pdf" | parallel brotli
      - rm -rf /var/woodpecker/journal/index.* /var/woodpecker/journal/favicon.* /var/woodpecker/journal/logo-z.* /var/woodpecker/journal/webclip.* /var/woodpecker/journal/images
      - mv dist/* /var/woodpecker/journal/
    volumes:
      - /var/woodpecker:/var/woodpecker
      - /usr/share/fonts:/usr/share/fonts
      - /usr/lib/helix/runtime/:/usr/lib/helix/runtime/
